Make tabs on new Host detail page routable

04/22/2021 02:44 PM - Ondřej Pražák

Status: Closed   

Priority: Normal   

Assignee: Ondřej Pražák   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 3.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8495,

https://github.com/theforeman/foreman/p

ull/8649,

https://github.com/theforeman/foreman/p

ull/8738,

https://github.com/theforeman/foreman/p

ull/8769

  

Description

It would be good if tabs on new Host detail page could be accessed by URL. The appropriate tab would be active based on on the

URL when the page is loaded. Something like:

/hosts/my-host.example.com -> default to overview tab

/hosts/my-host.example.com/overview -> overview as well

/hosts/my-host.example.com/foo -> foo tab active

The main use case is that content of the page would be URL addressable. We could redirect to a specific tab and display relevant

section rather than showing always the overview.

Related issues:

Related to Foreman - Tracker #30986: Host Details Page Feature New

Associated revisions

Revision 0ca1a568 - 09/01/2021 09:56 AM - Amir Fefer

Fixes #32398 - add hash-router for tabs

Revision 220626de - 09/16/2021 10:10 AM - Ondřej Pražák

Refs #32398 - Pass router history to tabs

History

#1 - 04/22/2021 02:46 PM - Ondřej Pražák

- Related to Tracker #30986: Host Details Page Feature added

#2 - 05/04/2021 11:34 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ondřej Pražák

- Pull request https://github.com/theforeman/foreman/pull/8495 added

#3 - 07/07/2021 02:18 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8649 added

#4 - 08/24/2021 08:31 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8738 added
#5 - 09/01/2021 09:56 AM - The Foreman Bot

- Fixed in Releases 3.1.0 added

#6 - 09/01/2021 10:08 AM - Amir Fefer

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|0ca1a568af1fa7de1d65785ee1630eeeb487ba2a.

#7 - 09/08/2021 06:51 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman/pull/8769 added

#8 - 11/16/2021 10:55 AM - Amit Upadhye

- Category set to JavaScript stack
